import request from "@/utils/request";
import {OrderInfoQuery} from "@/api/order/types";

/**
 * 设备维护
 *
 * @param ids
 */
export function maintenanceUpdate(params: any) {
  return request({
    url: "/api/v1/device/maintenance/maintenance",
    method: "post",
    data: params,
  });
}

/**
 * 设备维修
 * @param params
 */
export function repair(params: any) {
  return request({
    url: "/api/v1/device/repair/repair",
    method: "post",
    data: params,
  });
}
export function audit(params: any) {
  return request({
    url: "/api/v1/device/repair/audit",
    method: "post",
    data: params,
  });
}

export function allocateAudit(params: any) {
  return request({
    url: "/api/v1/device/allocate/audit",
    method: "post",
    data: params,
  });
}

export function allocateExport(deviceNo: String) {
  return request({
    url: "/api/v1/device/allocate/export/" + deviceNo,
    method: "get",
    responseType: "arraybuffer",
  });
}

export function queryTypeDataList() {
  return request({
    url: "/api/v1/device/fieldAlias/deviceTypeList",
    method: "get",
  });
}
