import { useDictionaryStoreHook } from "@/store";
const { dicts } = useDictionaryStoreHook();

export const tableConfig = {
  MARTERIAL: {
    url: "/api/v1/base/material",
    column: [
      { label: "客户型号", prop: "customervodel", search: true },
      { label: "生产厂家", prop: "manufacturer", search: true },
      { label: "物料编码", prop: "materialCode", search: true },
      { label: "物料名称", prop: "materialName", search: true },
      { label: "保质期", prop: "qualityGuaranteePeriod", search: true },

      { label: "筛选规范", prop: "selectionSpec", search: true },
      { label: "物料规格", prop: "spec", search: true },
      {
        label: "适用平台",
        prop: "applicablePlatformsDictValue",
        // search: true,
        // filterable: true,
        // type: "select",
        // dataType: "string",
        // dicData: dicts.applicable_platforms,
        // props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "物料属性",
        prop: "attributeDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.material_properties,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "是否工装",
        prop: "frock",
        search: true,
        filterable: true,
        type: "radio", //类型为单选框
        dicData: [
          {
            label: "否",
            value: 0,
          },
          {
            label: "是",
            value: 1,
          },
        ],
        value: 0,
      },
      {
        label: "质检方案",
        prop: "inspectDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.quality_testing_plan,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "物料级别",
        prop: "levelDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.material_level,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "封装方法",
        prop: "packageDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.packaging_method,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "质量等级",
        prop: "qualityLevelDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.quality_grade,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "选用类型",
        prop: "selectionDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.selection_type,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "阶段",
        prop: "stageDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.stage,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "物料单位",
        prop: "unitDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.danwei_type,
        props: { label: "dictLabel", value: "dictValue" },
      },
      { label: "备注", prop: "remark", type: "textarea", search: true },
    ],
  },

  FACTORY: {
    url: "/api/v1/base/workShop",
    column: [
      {
        label: "车间名称",
        prop: "name",
        search: true,
      },
      {
        label: "车间负责人",
        prop: "manager",
        rules: [{
          required: true,
          message: "请选择厂区负责人",
          trigger: "blur"
        }],
        type: 'select',
        dicUrl:import.meta.env.VITE_APP_BASE_API+"/api/v1/sys/user/list",
        dicMethod:"post",
        props: {
          label: "userName", // 下拉菜单显示的字段
          value: "userName" // 下拉菜单值的字段
        },
      },
      {
        label: "车间位置",
        prop: "position",
      },
      {
        label: "所属工厂",
        prop: "factoryName",
        display:false
      },
      {
        label: "车间描述",
        prop: "remark",
      },
      {
        label: "创建人",
        prop: "creator",
        display:false
      },
      {
        label: "创建时间",
        prop: "created",
        display:false
      },
    ],
  },


  PRODUCTIONLINE: {
    url: "/api/v1/base/productionLine",
    column: [
      {
        label: "产线名称",
        prop: "name",
        search: true,
        rules: [{
          required: true,
          message: "请填写产线名称",
          trigger: "blur"
        }],
      },
      {
        label: "产线负责人",
        prop: "manager",
        rules: [{
          required: true,
          message: "请选择产线负责人",
          trigger: "blur"
        }],
        type: 'select',
        dicUrl:import.meta.env.VITE_APP_BASE_API+"/api/v1/sys/user/list",
        dicMethod:"post",
        props: {
          label: "userName", // 下拉菜单显示的字段
          value: "userName" // 下拉菜单值的字段
        },
      },
      {
        label: "产线位置",
        prop: "position",
      },
      {
        label: "所属车间",
        prop: "workShopName",
        display:false
      },
      {
        label: "产线描述",
        prop: "remark",
      },
      {
        label: "创建人",
        prop: "creator",
        display:false
      },
      {
        label: "创建时间",
        prop: "created",
        display:false
      },
    ],
  },

  STATION: {
    url: "/api/v1/base/station",
    column: [
      {
        label: "工位编号",
        prop: "stationCode",
        search: true,
        rules: [{
          required: true,
          message: "请填写工位编号",
          trigger: "blur"
        }],
      },
      {
        label: "工位名称",
        prop: "name",
        search: true,
        rules: [{
          required: true,
          message: "请填写工位名称",
          trigger: "blur"
        }],
      },
      {
        label: "工位类型",
        prop: "stationDictValue",
        search: true,
        rules: [{
          required: true,
          message: "请选择工位类型",
          trigger: "blur"
        }],
        type: 'select',
        dicData:dicts.station_type,
        searchClearable: false, //可清空的输入框,默认为true
        filterable: true, //添加filterable属性即可启用搜索功能
        props: {
          label: "dictLabel", // 下拉菜单显示的字段
          value: "dictValue" // 下拉菜单值的字段
        },
      },
      {
        label: "工位操作方式",
        prop: "operateDictValue",
        rules: [{
          required: true,
          message: "请选择工位方式",
          trigger: "blur"
        }],
        type: 'select',
        dicData:dicts.station_operate_type,
        props: {
          label: "dictLabel", // 下拉菜单显示的字段
          value: "dictValue" // 下拉菜单值的字
        },
      },
      {
        label: "工位负责人",
        prop: "manager",
        rules: [{
          required: true,
          message: "请选择工位负责人",
          trigger: "blur"
        }],
        type: 'select',
        dicUrl:import.meta.env.VITE_APP_BASE_API+"/api/v1/sys/user/list",
        dicMethod:"post",
        props: {
          label: "userName", // 下拉菜单显示的字段
          value: "userName" // 下拉菜单值的字段
        },
      },
      {
        label: "所属产线",
        prop: "productionLineName",
        display:false
      },
      {
        label: "工位地址",
        prop: "position",
        rules: [{
          required: true,
          message: "请填写工位地址",
          trigger: "blur"
        }],
      },
      {
        label: "工位IP地址",
        prop: "stationIp",
        rules: [{
          required: true,
          message: "请填写工位IP地址",
          trigger: "blur",
        }],

      },
      {
        label: "工位描述",
        prop: "remark",
        type: 'textarea',
        span: 24,
      },
      {
        label: "创建人",
        prop: "creator",
        display:false
      },
      {
        label: "创建时间",
        prop: "created",
        display:false
      },
    ],
  },


  DEVICE: {
    url: "/api/v1/device",
    column: [
      {
        label: "设备编号",
        prop: "deviceNo",
        search: true,
        width: '120',
        rules: [
          {
            required: true,
            message: "设备编号不能为空",
            trigger: "trigger",
          },
        ],
      },
      {
        label: "设备名称",
        prop: "deviceName",
        search: true,
        width: '120',
        rules: [
          {
            required: true,
            message: "设备名称不能为空",
            trigger: "trigger",
          },
        ],
      },
      {
        label: "设备类型",
        prop: "deviceType",
        type: "select",
        search: true,
        width: '100',
        dicData:
          dicts.device_type,
        props: {
          label: "dictLabel",
          value: "dictValue",
        },
      },
      {
        label: "负责人",
        width: '100',
        prop: "head",
      },
      {
        label: "设备位置",
        width: '150',
        prop: "devicePosition",
      },
      {
        label: "规格",
        width: '150',
        prop: "specifications",
      },
      {
        label: "品牌",
        width: '150',
        prop: "brand",
      },
    ],
  },

};
