import { useDictionaryStoreHook } from "@/store";
const { dicts } = useDictionaryStoreHook();
export const columns = [
  {
    label: "工位编号",
    prop: "stationCode",
    search: true,
    rules: [{
      required: true,
      message: "请填写工位编号",
      trigger: "blur"
    }],
  },
  {
    label: "工位名称",
    prop: "name",
    search: true,
    rules: [{
      required: true,
      message: "请填写工位名称",
      trigger: "blur"
    }],
  },
  {
    label: "工位类型",
    prop: "stationDictValue",
    search: true,
    rules: [{
      required: true,
      message: "请选择工位类型",
      trigger: "blur"
    }],
    type: 'select',
    dicData:dicts.station_type,
    searchClearable: false, //可清空的输入框,默认为true
    filterable: true, //添加filterable属性即可启用搜索功能
    props: {
      label: "dictLabel", // 下拉菜单显示的字段
      value: "dictValue" // 下拉菜单值的字段
    },
  },
  {
    label: "操作方式",
    prop: "operateDictValue",
    rules: [{
      required: true,
      message: "操作方式",
      trigger: "blur"
    }],
    type: 'select',
    dicData:dicts.station_operate_type,
    props: {
      label: "dictLabel", // 下拉菜单显示的字段
      value: "dictValue" // 下拉菜单值的字
    },
  },
  {
    label: "负责人",
    prop: "manager",
    rules: [{
      required: true,
      message: "请选择负责人",
      trigger: "blur"
    }],
    type: 'select',
    dicUrl:import.meta.env.VITE_APP_BASE_API+"/api/v1/sys/user/list",
    dicMethod:"post",
    props: {
      label: "userName", // 下拉菜单显示的字段
      value: "userName" // 下拉菜单值的字段
    },
  },
  {
    label: "所属产线",
    prop: "productionLineName",
    display:false
  },
  {
    label: "工位地址",
    prop: "position",
    rules: [{
      required: true,
      message: "请填写工位地址",
      trigger: "blur"
    }],
  },
  {
    label: "IP地址",
    prop: "stationIp",
    rules: [{
      required: true,
      message: "请填写工位IP地址",
      trigger: "blur",
    }],

  },
  {
    label: "工位描述",
    prop: "remark",
    type: 'textarea',
    span: 24,
  },
  {
    label: "创建人",
    prop: "creator",
    display:false
  },
  {
    label: "创建时间",
    prop: "created",
    display:false
  },
]


