import { useDictionaryStoreHook } from "@/store";
const { dicts } = useDictionaryStoreHook();
export const columns = [
  {
    label: "设备编号",
    prop: "deviceNo",
    search: true,
    rules: [{
      required: true,
      message: "请填写工位编号",
      trigger: "blur"
    }],
  },
  {
    label: "设备名称",
    prop: "deviceName",
    search: true,
  },
  {
    label: "设备类型",
    prop: "deviceType",
    search: true,
    rules: [{
      required: true,
      message: "请选择设备类型",
      trigger: "blur"
    }],
    type: 'select',
    dicData:dicts.device_type,
    searchClearable: false, //可清空的输入框,默认为true
    filterable: true, //添加filterable属性即可启用搜索功能
    props: {
      label: "dictLabel", // 下拉菜单显示的字段
      value: "dictValue" // 下拉菜单值的字段
    },
  },
  {
    label: "规格",
    prop: "specifications",
  },
]


